
* NOTE: ONLY EXECUTE THIS INITIAL SET OF STNTAX IF YOU WISH TO REPRODUCE THE .
*       ORTHOGONAL PLAN AND ENTER THE DATA VIA SYNTAX .
*       IF YOU USE THE PROVIDED FILES (CPLAN1 AND CONJOINT_RESPONSES) .
*       YOU CAN JUST EXECUTE THE CONJOINT SYNTAX AT THE END OF THIS FILE .
 

*Designing the Stimuli: Generating an Orthogonal Fractional Factorial Design.
 
TITLE 'DESIGNING THE STILULI: AN Orthogonal Fractional Factorial Design' .
ORTHOPLAN	
  /FACTORS =	
    MIXTURE 'Product Form' ('Premixed' 'Concentrate' 'Powder')	
    NUMAPP 'Num of Applic' ('50' '100' '200')	
    GERMFRE 'Disinfectant' ('Yes' 'No')	
    BIOPROT 'Biodegradable' ('No' 'Yes')	
    PRICE 'Price/Applic' ('35 cents' '49 cents' '79 cents')	
 /HOLDOUT = 4.	
SAVE OUTFILE = 'CPLAN1.SAV'.	

DATA LIST FREE	
  /MIXTURE NUMAPP GERMFRE BIOPROT PRICE STATUS_ CARD_.	
BEGIN DATA.	
     2.00     3.00     1.00     1.00     1.00     0     1	
     3.00     3.00     1.00     1.00     1.00     0     2	
     1.00     2.00     1.00     2.00     2.00     0     3	
     3.00     3.00     1.00     2.00     2.00     0     4	
     3.00     1.00     1.00     1.00     3.00     0     5	
     2.00     3.00     2.00     2.00     3.00     0     6	
     1.00     2.00     1.00     1.00     3.00     0     7	
     1.00     3.00     1.00     1.00     2.00     0     8	
     3.00     2.00     2.00     1.00     2.00     0     9	
     2.00     1.00     1.00     1.00     2.00     0     10	
     3.00     2.00     2.00     1.00     1.00     0     11	
     2.00     2.00     1.00     1.00     3.00     0     12	
     1.00     3.00     2.00     1.00     3.00     0     13	
     1.00     1.00     1.00     1.00     1.00     0     14	
     2.00     2.00     1.00     2.00     1.00     0     15	
     1.00     1.00     2.00     2.00     1.00     0     16	
     2.00     1.00     2.00     1.00     2.00     0     17	
     3.00     1.00     1.00     2.00     3.00     0     18	
     2.00     2.00     1.00     1.00     2.00     1     19	
     3.00     2.00     2.00     2.00     1.00     1     20	
     3.00     3.00     1.00     2.00     3.00     1     21	
     2.00     1.00     2.00     2.00     1.00     1     22	
     1.00     1.00     1.00     2.00     3.00     2     23	
     2.00     3.00     1.00     2.00     2.00     2     24	
     3.00     3.00     1.00     2.00     1.00     2     25	
END DATA.	
SAVE OUTFILE='CPLAN1.SAV'.	


*Printing Plancards (Full-Profile Descriptions).

TITLE 'PRINTING STIMULI DESCRIPTIONS' .
GET FILE='CPLAN1.SAV'.	
PLANCARDS	
  /FACTOR=MIXTURE NUMAPP GERMFRE BIOPROT PRICE	
  /FORMAT BOTH	
  /TITLE 'HYPOTHETICAL INDUSTRIAL CLEANSER  )CARD' .	


* Entering the conjoint responses .
DATA LIST FREE/ QN PROD1 to PROD22.	
BEGIN DATA .	
  107  6  3  5  2  3  1  1  6  6  6  7  4  1  6  6  6  6  1  7  7  1  7 
  110  7  7  6  5  6  7  7  5  5  3  4  3  5  6  6  7  4  7  5  5  6  6 
  123  7  7  5  5  1  1  1  2  2  1  7  1  1  2  7  7  7  1  7  7  1  7 
  129  7  7  7  7  7  7  7  7  6  7  6  7  6  7  7  6  6  7  7  6  7  6 
  135  7  7  2  5  1  1  1  2  2  2  7  1  1  7  4  5  2  1  2  5  2  5 
  155  7  7  3  6  2  1  1  5  1  5  1  3  2  2  7  1  1  1  5  1  1  1 
  161  6  6  5  5  1  1  1  3  2  5  2  1  1  5  7  3  1  1  5  2  1  2 
  162  7  6  3  6  3  5  3  6  3  2  6  6  2  5  7  4  2  2  4  7  6  5 
  168  7  7  3  2  2  2  1  1  2  3  7  1  1  7  7  7  3  2  3  7  2  7 
  170  6  6  4  2  1  3  2  1  2  5  7  3  3  1  7  2  6  2  4  7  2  5 
  171  5  3  5  5  3  1  3  5  4  6  3  4  4  6  7  6  3  5  6  3  2  3 
  173  6  6  4  4  3  3  3  5  2  4  6  3  3  5  5  5  4  3  4  6  5  6 
  174  6  5  6  6  6  1  3  6  1  6  1  5  1  6  7  1  1  5  6  1  3  1 
  181  6  6  3  5  4  2  2  3  3  5  6  4  2  3  6  4  6  2  6  5  4  6 
  187  6  7  6  7  2  2  2  5  5  6  6  3  1  4  7  5  2  3  6  7  3  6 
  193  7  7  6  6  2  1  6  6  1  5  4  5  2  3  7  1  2  2  7  2  7  2 
  194  2  6  6  2  6  2  2  4  2  4  2  4  3  4  6  1  4  6  4  2  6  2 
  197  6  7  5  6  3  3  4  6  4  4  6  3  7  4  4  4  5  3  3  7  6  6 
  211  5  7  5  7  2  2  1  5  5  2  5  1  2  2  7  5  2  2  1  7  7  7 
  222  7  7  3  3  2  2  5  5  3  6  5  2  2  6  7  3  4  2  5  5  2  5 
  225  7  7  4  6  2  2  2  6  2  4  3  3  1  4  5  2  2  3  5  3  4  2 
  229  7  7  7  7  1  4  5  3  6  2  6  3  1  2  2  7  1  4  1  1  5  1 
  235  5  7  6  6  2  3  6  3  3  6  7  6  3  7  7  6  6  3  5  5  3  5 
  236  4  6  2  4  1  1  1  2  2  2  4  1  1  5  7  2  1  1  2  2  1  2 
  240  2  2  5  7  2  6  2  2  4  2  2  2  2  2  7  6  1  5  4  6  6  4 
  260  5  5  5  5  5  2  4  5  2  5  2  6  2  5  5  1  2  2  5  2  2  2 
  261  6  6  4  6  2  2  2  4  6  6  6  2  2  4  6  4  4  2  4  4  2  4 
  266  6  7  7  5  5  6  4  2  3  3  3  2  2  1  4  3  4  2  1  2  1  1 
  271  7  5  4  3  3  2  3  4  5  6  6  3  4  4  2  2  2  1  2  1  1  1 
  277  6  6  5  5  4  3  4  3  3  3  5  4  1  2  3  1  2  2  2  1  1  1 
  287  3  5  2  2  1  1  1  1  1  1  3  1  1  2  2  3  1  1  1  5  1  2 
  300  6  5  4  5  2  2  2  4  4  5  5  2  2  5  6  3  5  2  5  5  2  5 
  302  6  6  6  7  5  3  4  5  3  5  3  5  3  5  6  2  2  4  7  3  7  3 
  303  6  6  5  7  4  2  2  3  3  3  3  6  2  3  7  2  3  5  6  3  7  2 
  309  7  6  5  7  3  1  1  3  3  3  1  2  2  6  6  3  2  2  4  1  4  3 
  318  3  4  5  6  5  2  5  6  1  6  2  5  3  6  7  4  2  5  6  4  6  4 
  323  4  4  1  6  1  6  1  4  1  4  4  1  4  6  6  6  4  4  1  4  1  4 
  336  3  1  4  1  4  4  5  5  5  5  3  2  5  7  4  6  5  4  2  3  1  4 
  348  3  3  1  1  1  1  1  1  1  1  3  1  1  3  5  6  1  1  1  6  1  6 
  350  6  6  3  7  5  2  3  5  2  5  2  5  2  5  5  2  2  5  6  3  6  3 
  354  5  5  4  6  1  1  2  4  3  5  2  2  6  6  6  6  5  2  6  6  5  6 
  356  4  5  2  4  1  1  1  4  3  2  5  2  1  3  5  7  2  1  3  6  2  6 
  357  7  6  7  6  3  3  3  6  6  7  7  4  2  5  7  6  3  4  7  7  3  6 
  363  6  6  5  5  1  1  5  5  1  4  3  4  1  2  7  2  1  1  6  2  7  2 
  364  7  4  5  4  3  1  3  3  5  4  6  3  3  6  7  2  5  1  5  5  3  5 
  366  7  7  3  7  3  6  3  7  3  3  6  7  2  6  7  5  2  3  4  7  6  6 
  368  7  7  6  6  3  1  2  4  2  5  3  2  1  3  6  3  2  1  3  2  2  2 
  370  6  3  5  5  3  2  4  6  5  5  2  4  4  6  7  5  4  4  6  3  2  3 
  372  7  6  7  5  5  3  5  5  2  6  2  5  3  6  7  2  3  4  7  3  2  3 
  382  3  3  3  2  2  1  2  4  7  5  2  2  1  2  3  3  3  4  4  6  1  1 
  396  7  7  5  5  1  1  1  5  5  5  7  1  1  7  7  7  5  1  5  7  1  7 
  399  4  5  2  1  1  1  1  1  2  2  4  1  1  4  5  2  1  1  1  4  1  2 
  401  6  6  3  3  1  1  1  3  1  3  5  1  1  5  7  6  1  1  4  5  1  5 
  416  6  7  3  5  2  2  1  2  2  1  7  1  1  7  4  6  2  1  2  5  2  5 
  421  4  6  4  5  1  2  1  3  2  6  2  2  1  5  7  4  1  1  5  2  1  2 
  422  7  7  3  7  3  5  2  6  3  2  6  6  3  5  7  4  2  2  4  7  6  5 
  425  6  7  3  7  2  1  2  5  1  5  2  3  1  2  7  1  2  1  5  1  1  1 
  428  6  7  4  2  1  1  1  1  2  4  7  1  1  7  7  6  4  2  3  7  2  7 
  433  5  6  5  4  2  4  3  5  2  5  6  3  3  5  5  6  4  3  4  6  5  6 
  440  6  7  3  6  4  2  2  2  2  6  3  7  1  7  7  3  1  5  7  2  7  2 
  441  5  7  3  6  4  2  1  3  3  5  6  4  3  3  6  4  6  2  6  5  4  6 
  453  5  7  7  7  1  3  2  5  6  6  6  3  1  4  7  6  1  3  6  7  3  6 
  454  6  6  6  7  2  1  7  6  1  5  4  5  4  3  7  1  2  2  7  2  7  2 
  467  7  7  4  6  2  4  4  6  5  4  6  4  7  4  4  5  5  4  3  7  6  6 
  471  6  6  5  6  2  3  2  5  5  2  6  1  1  2  7  5  2  2  1  7  7  7 
  472  6  7  4  3  3  2  5  5  4  6  5  2  2  6  7  4  4  2  5  5  2  5 
  475  6  6  4  7  2  3  3  6  2  4  3  3  1  5  5  2  2  4  5  3  4  2 
  476  6  6  6  7  2  4  7  3  3  6  7  7  3  6  7  6  6  3  5  5  3  5 
  492  3  3  5  6  2  5  2  3  4  2  2  2  2  3  7  6  1  5  4  6  6  4 
  502  5  7  4  5  2  3  2  5  6  6  6  3  2  5  6  4  4  2  4  4  2  4 
  507  2  4  2  3  1  2  1  2  1  1  4  1  1  1  2  3  1  1  1  5  1  2 
  514  4  6  4  6  2  3  2  5  4  5  5  2  2  4  6  3  5  2  5  5  2  5 
  516  7  6  5  7  4  3  4  5  5  5  4  5  3  5  5  2  2  4  6  3  7  3 
  518  7  5  5  6  4  3  2  4  3  3  3  6  2  2  7  2  3  5  6  3  7  2 
  520  5  6  3  4  2  3  2  5  1  4  5  3  2  5  4  5  3  3  3  6  5  6 
  522  7  6  4  5  2  1  2  5  2  5  3  4  1  5  5  3  2  4  5  4  4  2 
  528  4  5  6  6  5  3  4  6  1  6  3  5  3  6  6  3  2  5  6  4  6  4 
  535  5  4  1  6  1  6  1  4  1  5  4  1  4  6  6  6  4  5  1  4  1  4 
  538  4  1  4  1  4  4  5  5  5  4  3  2  5  7  4  6  5  5  2  3  1  4 
  557  5  6  3  7  5  2  3  5  3  5  2  5  2  5  5  2  2  5  5  3  6  3 
  559  5  5  2  4  1  1  1  4  4  2  5  2  1  3  5  7  2  1  3  6  2  6 
  578  7  6  5  6  4  1  2  5  2  5  2  2  1  2  6  3  3  2  3  2  2  2 
  580  6  3  5  5  3  2  4  6  6  5  2  4  4  6  7  5  3  4  5  3  2  3 
  586  6  6  4  5  2  1  1  6  5  5  7  2  1  6  7  7  5  2  5  7  1  7 
  589  5  5  2  1  1  1  1  1  2  2  4  1  1  4  5  2  2  2  1  4  1  2 
  592  5  5  2  4  1  1  1  4  2  3  5  2  1  4  7  6  1  2  4  5  1  5 
END DATA .

SAVE OUTFILE = 'CONJOINT_RESPONSES.SAV' .



* START ESTIMATION OF CONJOINT MODEL WITH FILES HBAT_CPLAN AND HBAT_CONJOINT' .

GET FILE = 'HBAT_CONJOINT.SAV' .

TITLE 'ESTIMATING THE CONJOINT MODEL' .

CONJOINT PLAN='HBAT_CPLAN.SAV'	
  /FACTORS=	
   MIXTURE 'Product Form' ('Premixed' 'Concentrate' 'Powder')	
   NUMAPP 'Number of Applications' ('50' '100' '200')	
   GERMFRE 'Disinfectant' ('Yes' 'No')	
   BIOPROT 'Biodegradable' ('No' 'Yes')	
   PRICE 'Price per Application' ('35 cents' '49 cents' '79 cents')	
  /SUBJECT=QN	
  /SCORE=PROD1 PROD2 PROD3 PROD4 PROD5 PROD6 PROD7 PROD8 PROD9
                PROD10 PROD11 PROD12 PROD13 PROD14 PROD15 PROD16
                PROD17 PROD18 PROD19 PROD20 PROD21 PROD22	
  /UTILITY='UTIL1.SAV'.	


* NOTE:  THE CONJOINT MODULE SAVES BASIC CONJOINT ESTIMATES FOR EACH CASE .
*        IN THE UTILITY FILE -- UTIL1 .
*        THIS FILE CONTAINS THE PART-WORTHS ALONG WITH ESTIMATED UTILITY .
*        VALUES FOR EACH STIMULUS, BUT DOES NOT CONTAIN IMPORTANCE WEIGHTS .
*        OR GOODNESS OF FIT VALUES .
*        THESE MUST BE CALCUALTED SEPARATELY OR ENTERED MANUALLY FOR .
*        ADDITIONAL ANALYSES .



GET FILE = 'HBAT_CONJOINT.SAV' .

TITLE 'CONJONT MODEL SIMULATOR WITH 6 CASES OMITTED' .

RECODE QN (110,229,266,372,382,129 = 0) (ELSE = 1) INTO KEEP1.
SELECT IF (KEEP1 EQ 1) .

CONJOINT PLAN='HBAT_CPLAN.SAV'	
  /FACTORS=	
   MIXTURE 'Product Form' ('Premixed' 'Concentrate' 'Powder')	
   NUMAPP 'Number of Applications' ('50' '100' '200')	
   GERMFRE 'Disinfectant' ('Yes' 'No')	
   BIOPROT 'Biodegradable' ('No' 'Yes')	
   PRICE 'Price per Application' ('35 cents' '49 cents' '79 cents')	
  /SUBJECT=QN	
  /SCORE=PROD1 PROD2 PROD3 PROD4 PROD5 PROD6 PROD7 PROD8 PROD9
                PROD10 PROD11 PROD12 PROD13 PROD14 PROD15 PROD16
                PROD17 PROD18 PROD19 PROD20 PROD21 PROD22	
  /UTILITY='UTIL_Simulator.SAV'.	


